using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZooContracts.BindingModels;
using ZooContracts.SearchModel;
using ZooContracts.ViewModels;

namespace ZooContracts.StoragesContracts
{
    public interface IPaymentStorage
    {
        List<PaymentViewModel> GetFullList();
        List<PaymentViewModel> GetFilteredList(PaymentSearchModel model);
        PaymentViewModel GetElement(PaymentSearchModel model);
        PaymentViewModel? Insert(PaymentBindingModel model);
        PaymentViewModel? Update(PaymentBindingModel model);
        PaymentViewModel? Delete(PaymentBindingModel model);
    }
}
